org.apache.hc.core5.http.io.entity

## Class EntityUtils

- java.lang.Object
- - org.apache.hc.core5.http.io.entity.EntityUtils

-     public final class EntityUtils
      extends Object

  Support methods for `HttpEntity`.
  Since:
    4.0

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `consume(HttpEntity entity)` Ensures that the entity content is fully consumed and the content stream, if exists, is closed.
    `static void` | `consumeQuietly(HttpEntity entity)` Ensures that the entity content is fully consumed and the content stream, if exists, is closed.
    `static List<NameValuePair>` | `parse(HttpEntity entity)` Returns a list of `NameValuePairs` as parsed from an `HttpEntity`.
    `static List<NameValuePair>` | `parse(HttpEntity entity, int maxStreamLength)` Returns a list of `NameValuePairs` as parsed from an `HttpEntity`.
    `static byte[]` | `toByteArray(HttpEntity entity)` Reads the contents of an entity and return it as a byte array.
    `static byte[]` | `toByteArray(HttpEntity entity, int maxResultLength)` Reads the contents of an entity and return it as a byte array.
    `static String` | `toString(HttpEntity entity)` Reads the contents of an entity and return it as a String.
    `static String` | `toString(HttpEntity entity, Charset defaultCharset)` Gets the entity content as a String, using the provided default character set if none is found in the entity.
    `static String` | `toString(HttpEntity entity, Charset defaultCharset, int maxResultLength)` Gets the entity content as a String, using the provided default character set if none is found in the entity.
    `static String` | `toString(HttpEntity entity, int maxResultLength)` Reads the contents of an entity and return it as a String.
    `static String` | `toString(HttpEntity entity, String defaultCharset)` Gets the entity content as a String, using the provided default character set if none is found in the entity.
    `static String` | `toString(HttpEntity entity, String defaultCharset, int maxResultLength)` Gets the entity content as a String, using the provided default character set if none is found in the entity.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### consumeQuietly

          public static void consumeQuietly(HttpEntity entity)

      Ensures that the entity content is fully consumed and the content stream, if exists, is closed. The process is done, quietly , without throwing any IOException.
      Parameters:
        `entity` - the entity to consume.
      Since:
        4.2

    - #### consume

          public static void consume(HttpEntity entity)
                              throws IOException

      Ensures that the entity content is fully consumed and the content stream, if exists, is closed.
      Parameters:
        `entity` - the entity to consume.
      Throws:
        `IOException` - if an error occurs reading the input stream
      Since:
        4.1

    - #### toByteArray

          public static byte[] toByteArray(HttpEntity entity)
                                    throws IOException

      Reads the contents of an entity and return it as a byte array.
      Parameters:
        `entity` - the entity to read from=
      Returns:
        byte array containing the entity content. May be null if `HttpEntity.getContent()` is null.
      Throws:
        `IOException` - if an error occurs reading the input stream
        `IllegalArgumentException` - if entity is null or if content length > Integer.MAX_VALUE

    - #### toByteArray

          public static byte[] toByteArray(HttpEntity entity,
                           int maxResultLength)
                                    throws IOException

      Reads the contents of an entity and return it as a byte array.
      Parameters:
        `entity` - the entity to read from=
        `maxResultLength` - The maximum size of the String to return; use it to guard against unreasonable or malicious processing.
      Returns:
        byte array containing the entity content. May be null if `HttpEntity.getContent()` is null.
      Throws:
        `IOException` - if an error occurs reading the input stream
        `IllegalArgumentException` - if entity is null or if content length > Integer.MAX_VALUE

    - #### toString

          public static String toString(HttpEntity entity,
                        Charset defaultCharset)
                                 throws IOException,
                                        ParseException

      Gets the entity content as a String, using the provided default character set if none is found in the entity. If defaultCharset is null, the default "ISO-8859-1" is used.
      Parameters:
        `entity` - must not be null
        `defaultCharset` - character set to be applied if none found in the entity, or if the entity provided charset is invalid or not available.
      Returns:
        the entity content as a String. May be null if `HttpEntity.getContent()` is null.
      Throws:
        `ParseException` - if header elements cannot be parsed
        `IllegalArgumentException` - if entity is null or if content length > Integer.MAX_VALUE
        `IOException` - if an error occurs reading the input stream
        `UnsupportedCharsetException` - Thrown when the named entity's charset is not available in this instance of the Java virtual machine and no defaultCharset is provided.

    - #### toString

          public static String toString(HttpEntity entity,
                        Charset defaultCharset,
                        int maxResultLength)
                                 throws IOException,
                                        ParseException

      Gets the entity content as a String, using the provided default character set if none is found in the entity. If defaultCharset is null, the default "ISO-8859-1" is used.
      Parameters:
        `entity` - must not be null
        `defaultCharset` - character set to be applied if none found in the entity, or if the entity provided charset is invalid or not available.
        `maxResultLength` - The maximum size of the String to return; use it to guard against unreasonable or malicious processing.
      Returns:
        the entity content as a String. May be null if `HttpEntity.getContent()` is null.
      Throws:
        `ParseException` - if header elements cannot be parsed
        `IllegalArgumentException` - if entity is null or if content length > Integer.MAX_VALUE
        `IOException` - if an error occurs reading the input stream
        `UnsupportedCharsetException` - Thrown when the named entity's charset is not available in this instance of the Java virtual machine and no defaultCharset is provided.

    - #### toString

          public static String toString(HttpEntity entity,
                        String defaultCharset)
                                 throws IOException,
                                        ParseException

      Gets the entity content as a String, using the provided default character set if none is found in the entity. If defaultCharset is null, the default "ISO-8859-1" is used.
      Parameters:
        `entity` - must not be null
        `defaultCharset` - character set to be applied if none found in the entity
      Returns:
        the entity content as a String. May be null if `HttpEntity.getContent()` is null.
      Throws:
        `ParseException` - if header elements cannot be parsed
        `IllegalArgumentException` - if entity is null or if content length > Integer.MAX_VALUE
        `IOException` - if an error occurs reading the input stream
        `UnsupportedCharsetException` - Thrown when the named charset is not available in this instance of the Java virtual machine

    - #### toString

          public static String toString(HttpEntity entity,
                        String defaultCharset,
                        int maxResultLength)
                                 throws IOException,
                                        ParseException

      Gets the entity content as a String, using the provided default character set if none is found in the entity. If defaultCharset is null, the default "ISO-8859-1" is used.
      Parameters:
        `entity` - must not be null
        `defaultCharset` - character set to be applied if none found in the entity
        `maxResultLength` - The maximum size of the String to return; use it to guard against unreasonable or malicious processing.
      Returns:
        the entity content as a String. May be null if `HttpEntity.getContent()` is null.
      Throws:
        `ParseException` - if header elements cannot be parsed
        `IllegalArgumentException` - if entity is null or if content length > Integer.MAX_VALUE
        `IOException` - if an error occurs reading the input stream
        `UnsupportedCharsetException` - Thrown when the named charset is not available in this instance of the Java virtual machine

    - #### toString

          public static String toString(HttpEntity entity)
                                 throws IOException,
                                        ParseException

      Reads the contents of an entity and return it as a String. The content is converted using the character set from the entity (if any), failing that, "ISO-8859-1" is used.
      Parameters:
        `entity` - the entity to convert to a string; must not be null
      Returns:
        String containing the content.
      Throws:
        `ParseException` - if header elements cannot be parsed
        `IllegalArgumentException` - if entity is null or if content length > Integer.MAX_VALUE
        `IOException` - if an error occurs reading the input stream
        `UnsupportedCharsetException` - Thrown when the named charset is not available in this instance of the Java virtual machine

    - #### toString

          public static String toString(HttpEntity entity,
                        int maxResultLength)
                                 throws IOException,
                                        ParseException

      Reads the contents of an entity and return it as a String. The content is converted using the character set from the entity (if any), failing that, "ISO-8859-1" is used.
      Parameters:
        `entity` - the entity to convert to a string; must not be null
        `maxResultLength` - The maximum size of the String to return; use it to guard against unreasonable or malicious processing.
      Returns:
        String containing the content.
      Throws:
        `ParseException` - if header elements cannot be parsed
        `IllegalArgumentException` - if entity is null or if content length > Integer.MAX_VALUE
        `IOException` - if an error occurs reading the input stream
        `UnsupportedCharsetException` - Thrown when the named charset is not available in this instance of the Java virtual machine

    - #### parse

          public static List<NameValuePair> parse(HttpEntity entity)
                                           throws IOException

      Returns a list of `NameValuePairs` as parsed from an `HttpEntity`. The encoding is taken from the entity's Content-Encoding header.

      This is typically used while parsing an HTTP POST.

      Parameters:
        `entity` - The entity to parse
      Returns:
        a list of `NameValuePair` as built from the URI's query portion.
      Throws:
        `IOException` - If there was an exception getting the entity's data.

    - #### parse

          public static List<NameValuePair> parse(HttpEntity entity,
                                  int maxStreamLength)
                                           throws IOException

      Returns a list of `NameValuePairs` as parsed from an `HttpEntity`. The encoding is taken from the entity's Content-Encoding header.

      This is typically used while parsing an HTTP POST.

      Parameters:
        `entity` - The entity to parse
        `maxStreamLength` - The maximum size of the stream to read; use it to guard against unreasonable or malicious processing.
      Returns:
        a list of `NameValuePair` as built from the URI's query portion.
      Throws:
        `IOException` - If there was an exception getting the entity's data.

Copyright © 2005–2021 The Apache Software Foundation. All rights reserved.